Package weka.associations

# Enum Class FPGrowth.AssociationRule.METRIC_TYPE

java.lang.Object
java.lang.Enum<FPGrowth.AssociationRule.METRIC_TYPE>
weka.associations.FPGrowth.AssociationRule.METRIC_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<FPGrowth.AssociationRule.METRIC_TYPE>`, `Constable`

Enclosing class:
  `FPGrowth.AssociationRule`

public static enum FPGrowth.AssociationRule.METRIC_TYPE extends Enum<FPGrowth.AssociationRule.METRIC_TYPE>
Enum for holding different metric types

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONFIDENCE`
`CONVICTION`
`LEVERAGE`
`LIFT`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`String`
`toStringMetric(int premiseSupport, int consequenceSupport, int totalSupport, int totalTransactions)`
`String`
`toXML(int premiseSupport, int consequenceSupport, int totalSupport, int totalTransactions)`
`static FPGrowth.AssociationRule.METRIC_TYPE`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FPGrowth.AssociationRule.METRIC_TYPE[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONFIDENCE

public static final FPGrowth.AssociationRule.METRIC_TYPE CONFIDENCE

### LIFT

public static final FPGrowth.AssociationRule.METRIC_TYPE LIFT

### LEVERAGE

public static final FPGrowth.AssociationRule.METRIC_TYPE LEVERAGE

### CONVICTION

public static final FPGrowth.AssociationRule.METRIC_TYPE CONVICTION

## Method Details

### values

public static FPGrowth.AssociationRule.METRIC_TYPE[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FPGrowth.AssociationRule.METRIC_TYPE valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FPGrowth.AssociationRule.METRIC_TYPE>`

### toStringMetric

public String toStringMetric(int premiseSupport, int consequenceSupport, int totalSupport, int totalTransactions)

### toXML

public String toXML(int premiseSupport, int consequenceSupport, int totalSupport, int totalTransactions)